- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### Pulse
Examples |
    import processing.sound.*;
    Pulse pulse;

    void setup() {
      size(640, 360);
      background(255);

      // Create and start the sine oscillator.
      pulse = new Pulse(this);

      //Start the Pulse Oscillator.
      pulse.play();
    }

    void draw() {
    }
Description | DESCRIPTION
Methods |
play() | Start the oscillator
stop() | Stop the oscillator
freq() | Change the frequency of the oscillator
width() | Change the pulse width of the oscillator
amp() | Change the amplitude/volume of the oscillator
add() | Offset the output of the oscillator by given value
pan() | Move the sound in a stereo panorama
set() | Set multiple parameters at once
Constructor |
    Pulse(parent)
Parameters |
parent | PApplet: typically use "this"

Updated on June 20, 2015 10:37:40pm UTC